> ## Documentation Index
> Fetch the complete documentation index at: https://docs.e-invoice.be/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Document Timeline

> Get the timeline of events for an invoice or credit note, including creation, validation, transmission, and delivery events



## OpenAPI

````yaml /openapi.json get /api/documents/{document_id}/timeline
openapi: 3.1.0
info:
  title: e-invoice.be Peppol Access Point API
  version: 1.1.0
  x-logo:
    url: https://e-invoice.be/einvoice.svg
servers:
  - url: https://api.e-invoice.be
    description: Production
  - url: https://api-dev.e-invoice.be
    description: Staging
security: []
paths:
  /api/documents/{document_id}/timeline:
    get:
      tags:
        - Documents
      summary: Get Document Timeline
      description: >-
        Get the timeline of events for an invoice or credit note, including
        creation, validation, transmission, and delivery events
      operationId: get_document_timeline
      parameters:
        - name: document_id
          in: path
          required: true
          schema:
            type: string
            title: Document Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentTimeline'
        '401':
          description: 'Unauthorized: API key is missing, invalid, or inactive'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: 'Not Found: Document with the specified ID doesn''t exist'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: 'Internal Server Error: Unexpected server error'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    DocumentTimeline:
      properties:
        document_id:
          type: string
          title: Document Id
        events:
          items:
            $ref: '#/components/schemas/TimelineEvent'
          type: array
          title: Events
      type: object
      required:
        - document_id
        - events
      title: DocumentTimeline
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
      description: Error response model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TimelineEvent:
      properties:
        event_type:
          $ref: '#/components/schemas/TimelineEventType'
        timestamp:
          type: string
          format: date-time
          title: Timestamp
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Details
      type: object
      required:
        - event_type
        - timestamp
      title: TimelineEvent
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TimelineEventType:
      type: string
      enum:
        - email_received
        - email_processed
        - document_created
        - send_attempted
        - send_failed
        - send_success
        - receive_success
        - mlr_received
        - imr_received
      title: TimelineEventType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````